Skip to main content

Get Catalog Xp Table

GET 

/inventory/v1/catalog/xp/:xp_table_id

Get a specific XP Table.

Request

Path Parameters

    xp_table_id Xp Table Idrequired

Header Parameters

    if-none-match any

    If you provide the ETag that matches the current ETag for this content, will return a 304 response - indicating that the content has not changed.

Responses

Successful Response

Response Headers

  • ETag

    string

    Used to identify this version of the content. Provide with a get request to avoid downloading the same data multiple times.

Schema

    custom_data

    object

    Custom data associated with the resource

    property name* string

    xp_uuid

    object

    The XP Table UUID

    anyOf

    string

    xp_entries

    object

    property name* integer

    cache_info

    object

    anyOf

    Cache information for the resource it is attached to. The etag value can be used with the If-None-Match and If-Match headers

    etag Etag (string)required

    Possible values: non-empty

Loading...